Debian Bug report logs - #650212
istgt: cannot determine device size from symlink

version graph

Package: istgt; Maintainer for istgt is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for istgt is src:istgt.

Reported by: Michal Suchanek <hramrach@centrum.cz>

Date: Sun, 27 Nov 2011 20:12:01 UTC

Owned by: Arno Töll <debian@toell.net>

Severity: normal

Tags: confirmed, patch, upstream

Found in version istgt/0.4~20111008-1

Fixed in version istgt/0.4~20111008-3

Done: Arno Töll <arno@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, hramrach@centrum.cz, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#650212; Package istgt. (Sun, 27 Nov 2011 20:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Suchanek <hramrach@centrum.cz>:
New Bug report received and forwarded. Copy sent to hramrach@centrum.cz, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 27 Nov 2011 20:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michal Suchanek <hramrach@centrum.cz>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: istgt: cannot determine device size from symlink
Date: Sun, 27 Nov 2011 21:09:48 +0100
Package: istgt
Version: 0.4~20111008-1
Severity: normal


I specified /dev/disk/by-label/my-label as storage.
istgt cannot determine the size of the disk automatically from the link,
only from the actual device.

Obviously, it needs to dereference symlinks.


-- System Information:
Debian Release: 6.0.3
  APT prefers stable
  APT policy: (990, 'stable'), (700, 'oldstable'), (500, 'testing'), (400, 'unstable'), (200, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages istgt depends on:
ii  libc6                   2.13-21          Embedded GNU C Library: Shared lib
ii  libssl1.0.0             1.0.0e-2         SSL shared libraries
ii  lsb-base                3.2-23.2squeeze1 Linux Standard Base 3.2 init scrip

istgt recommends no packages.

istgt suggests no packages.

-- debconf information:
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory

-- debsums errors found:
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#650212; Package istgt. (Sun, 27 Nov 2011 23:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Suchanek <hramrach@centrum.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 27 Nov 2011 23:03:10 GMT) Full text and rfc822 format available.

Message #10 received at 650212@bugs.debian.org (full text, mbox):

From: Michal Suchanek <hramrach@centrum.cz>
To: 650212@bugs.debian.org
Subject: Re: Bug#650212: Acknowledgement (istgt: cannot determine device size from symlink)
Date: Mon, 28 Nov 2011 00:02:23 +0100
[Message part 1 (text/plain, inline)]
This patch makes autosize work for me.
[fix-autosize.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#650212; Package istgt. (Mon, 28 Nov 2011 00:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <debian@toell.net>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 28 Nov 2011 00:39:03 GMT) Full text and rfc822 format available.

Message #15 received at 650212@bugs.debian.org (full text, mbox):

From: Arno Töll <debian@toell.net>
To: Michal Suchanek <hramrach@centrum.cz>, 650212@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#650212: istgt: cannot determine device size from symlink
Date: Mon, 28 Nov 2011 01:37:16 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

tags 650212 patch upstream confirmed
owner 650212 !
thanks

Hello Michal,

On 27.11.2011 21:09, Michal Suchanek wrote:
> I specified /dev/disk/by-label/my-label as storage.
> istgt cannot determine the size of the disk automatically from the link,
> only from the actual device.
> 
> Obviously, it needs to dereference symlinks.

I will test your patch later this week. Presuming it works (and does not
break kfreebsd - but I don't think so) I will forward it upstream and
successively merge it into the Debian package.

- -- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJO0te8AAoJEMcrUe6dgPNtBxUP/0Cyy+a57gpvcedw7F8uDb0M
7aUpEH0J2tH942nwR7x6bq5tkLfQ8mOKH42pZXmwr3Yrg05lK+PqZ2hS9ikmYUvv
f6FfX2ypzMiaqnm34wvq3SCgcH4xuYLTHi1ITnyAzqt73a6IiZurQttR+aXgjMBW
fl5MgGykiA8YePVlzROA+wnyeqQ3jfm1j2675Rb+zic0yk+5P6bfYForqMKWf5cQ
o8D455eTxn4CJAmRTTqXxpJ0Q9aHPEWStREKT+L5mdhqlaVCr97x52X1pk6mDH+j
cz8r/6ur4fIEyYxWRAl7zePDp4mDwu49XW70yZEGjtiZ6Tn/3j7jrTnWnImMtL4/
G3jAvpIfqVP9yMHR+zBXR0U1PQTJX/aRucgz+ELLV4Fb73ROJGprQA4879Vg+6pf
IivsL9ypAIDzXpRyw/5g3fh2neSxXGU/gWbBjPzc+1cAyMlK3gBi1IYQHj1/eh/H
NNRKHHJxhIOOrXCxtFG4djo2+KCy26GzvFLwfYBYcrb44Q56E8uQdPXjEHTeVyqg
5S1f091no6Do+6eO3ETAaG4DQbrsBUj/O87nS2UWG7OTmXtHzagV6ReZFu5eVra+
z9VNAAHk33J+QzduYPyCgiz9DPfh4jab2FssSCaWpYQCJshY5E6Rn7sfzQybo/rV
RwBdtMTKKeA6mYgoE8pP
=P1qk
-----END PGP SIGNATURE-----




Added tag(s) upstream, confirmed, and patch. Request was from Arno Töll <debian@toell.net> to control@bugs.debian.org. (Mon, 28 Nov 2011 00:39:07 GMT) Full text and rfc822 format available.

Owner recorded as Arno Töll <debian@toell.net>. Request was from Arno Töll <debian@toell.net> to control@bugs.debian.org. (Mon, 28 Nov 2011 00:39:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#650212; Package istgt. (Wed, 30 Nov 2011 18:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <debian@toell.net>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 30 Nov 2011 18:54:07 GMT) Full text and rfc822 format available.

Message #24 received at 650212@bugs.debian.org (full text, mbox):

From: Arno Töll <debian@toell.net>
To: 650212@bugs.debian.org
Cc: Michal Suchanek <hramrach@centrum.cz>
Subject: Re: Bug#650212: istgt: cannot determine device size from symlink
Date: Wed, 30 Nov 2011 19:50:59 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

tags 650212 +pending
thanks

I just committed your patch into our VCS and it seems to work fine. That
means the next release will most likely feature it unless I stumble upon
a serious problem with it.

- -- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJO1nsTAAoJEMcrUe6dgPNtDZ0P/1d7bdDxf1V2ADZfHVSkNM3V
7r76Hst8PO6c66DymCU4YzErKx1//jVRbOYlJLE6FKUkIE19Ba+VIhSxnYvvuhcF
X7g+ppZWP85c3XdITV6HYe94qKT9DE0XpPQOyYICbR7XbjgOEwQt2cT3QDSPYsqt
hWyOCSd7au4qS+iIyU0pYrsr06OoPu5G58w8pQnGTEIT5hhflD5e1nZbhkL6YK6F
LT0S7j0UPRXwLmZQSU6mrQzzBmlrjUBzeHE53hZkUUhYLYHZMZu1/uyH7IYJtA16
IJFUeXywiHguy5u6pT+wKjxtYNdjSOiDkWnUXSvu8gBO9YdAlt7iT8TWJsmcrbju
X4CVN1Ew7zBfH1EKPXc2mUHIabKiAdrTbPjBcGhWhEl/10VTyqQYz0rlY7iK9RY0
T3wo8GPgr4SyBUganHfrSLdpq/oPQAMxaf4l5YgddQGJ1geb4L6JkD2svJ+B2PmO
IS3AdNn02CRQ7VofbZJEujMZK54E3sY6VspzphpPs0TROmyBVJUxXhNTiM9C1hmU
rjahYLP+QC2h5ClRvpRRCcnFxXblFwRbbXHpPme92/j65lqBXj/eDMJRILzWqSxJ
Fa75rxlu1h+e6S6H7xnxjdQkrp+zOKAUGEZbvdJySd1kbITOM6Rfe+FLdcMP6HM7
JWyx/5AeIswMVlSLXIAL
=FmyY
-----END PGP SIGNATURE-----




Added tag(s) pending. Request was from Arno Töll <debian@toell.net> to control@bugs.debian.org. (Wed, 30 Nov 2011 18:54:08 GMT) Full text and rfc822 format available.

Reply sent to Arno Töll <arno@debian.org>:
You have taken responsibility. (Tue, 26 Jun 2012 22:51:05 GMT) Full text and rfc822 format available.

Notification sent to Michal Suchanek <hramrach@centrum.cz>:
Bug acknowledged by developer. (Tue, 26 Jun 2012 22:51:05 GMT) Full text and rfc822 format available.

Message #31 received at 650212-close@bugs.debian.org (full text, mbox):

From: Arno Töll <arno@debian.org>
To: 650212-close@bugs.debian.org
Subject: Bug#650212: fixed in istgt 0.4~20111008-3
Date: Tue, 26 Jun 2012 22:49:42 +0000
Source: istgt
Source-Version: 0.4~20111008-3

We believe that the bug you reported is fixed in the latest version of
istgt, which is due to be installed in the Debian FTP archive:

istgt_0.4~20111008-3.debian.tar.gz
  to main/i/istgt/istgt_0.4~20111008-3.debian.tar.gz
istgt_0.4~20111008-3.dsc
  to main/i/istgt/istgt_0.4~20111008-3.dsc
istgt_0.4~20111008-3_kfreebsd-amd64.deb
  to main/i/istgt/istgt_0.4~20111008-3_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 650212@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Arno Töll <arno@debian.org> (supplier of updated istgt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 27 Jun 2012 00:23:23 +0200
Source: istgt
Binary: istgt
Architecture: source kfreebsd-amd64
Version: 0.4~20111008-3
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Arno Töll <arno@debian.org>
Description: 
 istgt      - iSCSI userspace target daemon for Unix-like operating systems
Closes: 650212 679055
Changes: 
 istgt (0.4~20111008-3) unstable; urgency=low
 .
   * Fix "cannot determine device size from symlink" Apply patch to use stat()
     instead of lstat(). Thanks Michal Suchanek  (Closes: #650212). I apologize
     for the delay, but I was postponing this decision for a long time, given
     it was rejected by upstream for security concerns. I do not share these.
   * Fix "Add support to reload the istgt.conf file." by merging the excellent
     patch Andrew Ruthven <andrew@etc.gen.nz>. Much appreciated (Closes: #679055)
   * Improve init script:
     + Better support fancy outputs
     + Improve failure toleance of the reload handler
     + Log istgt start output to syslog
Checksums-Sha1: 
 90603590c8fc5bd64269a502456820c69aa72a86 2041 istgt_0.4~20111008-3.dsc
 f7c12d7bca22d215f432f47f2d31a0fb33b5cf8e 12804 istgt_0.4~20111008-3.debian.tar.gz
 961902f79a5da21c643f8043725f029092180865 180954 istgt_0.4~20111008-3_kfreebsd-amd64.deb
Checksums-Sha256: 
 82857c7d5a395402f1e8fca4350ea0675d31a86e0bf21440561e53dbd5f51c74 2041 istgt_0.4~20111008-3.dsc
 c52df318f0287d4050c88f818a96c4f7f78ee6d7e67e7165153d26796fcbe17a 12804 istgt_0.4~20111008-3.debian.tar.gz
 9e042f15db2be4e70d9a64f5f1049f4ffb85e87c2b1585b766c7c0153ee5ba7f 180954 istgt_0.4~20111008-3_kfreebsd-amd64.deb
Files: 
 975023fff890c94007bf73840816090e 2041 admin extra istgt_0.4~20111008-3.dsc
 103635ea341c6854aa96ead7be077a7a 12804 admin extra istgt_0.4~20111008-3.debian.tar.gz
 cf0dfc5d1e983258f1e2b2f61a64f3ef 180954 admin extra istgt_0.4~20111008-3_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJP6ji3AAoJEMcrUe6dgPNtYzkQAKdQLCZdq4n1NB+9D+bQ45Kd
QleNRzALE/ESgvoJFUc6XMoWlgYRdfATitu4ZvF326lRcQpJSxug67zae6zAQpCB
DlvEbt79bO0pl9pKb2r8rsvzF3MT5DSdNqg0kZ4Vsm7VK5SOzIG8yoqqUS3if+TP
ZJffSG3h6ZTCJ48liC8vUOXBzuddXFnHNUJrO3r4weqQiNlO8NiTF3ZBMFjmyT6m
qDBC7AjEJxjAchFTzYf+wSUNMZG4Sc3g3UsWz2dY4KuV6nsZOR/znGvMiBrrUpoT
wfNsWLv8stdwAjnNvAinpFNSLV+T/aHaLuAnLs1yBWW3lKR6L1tVBvP02QaG9SAW
KE+T1vhYXbVAELxWH8CH0SYrykq8wavJURy67rJvM7xSqe+VRJBEuFlPZhSlrvyU
gi2xgrcXKcsu9Ohz2XMsPHxHLo2XdbHBUd+sATz9kQK2PIIw4cJzjOpr5E9V+HA/
v/1Q2It7Y2ISxTSl85j9nPduvsx+r8XQNN24HPVk7z9UELPEkiSU9nt1aA9hVxaQ
LMiX0sE2U1uQugFmO2I0Vc6ct1HzroBy+T6tJAj9x5cVOr7vfFx0uNMI6Xn43RhK
iGssRJXD8buN8ZN7Fb1bGsor1Aq9pKtAic7eLLdmaiEQ2G183eLApX6vtCsmFcJ0
MCMcQvj4u57GwfJW3V+J
=Zd7Y
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 04 Aug 2012 07:26:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 05:01:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.